<?php
namespace Location;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

  /**
   * @var string
   */
  protected $namespace     = __NAMESPACE__;
  /**
   * @var string
   */
  protected $parentFeature = 'Location';
  /**
   * @var string
   */
  protected $initState     = false;
  /**
   * @var string
   */
  protected $initTrigger   = false;
  /**
   * @var string
   */
  protected $primaryEntity = 'Country';
  /**
   * @var array
   */
  protected $entityMap = array(
      'Country' => '\Location\Entity\Country',
      'Region'  => '\Location\Entity\Region',
      'Town'    => '\Location\Entity\Town'
  );
  /**
   * @var array
   */
  protected $linkMap  = array();
  /**
   * @var array
   */
  protected $listen   = array();
  /**
   * @var array
   */
  protected $reclaim  = array();
  /**
   * @var array
   */
  protected $stateMap = array(
      'Global' => array(
        'Actions' => array(
          'Country.SelectList' 		=> array(),
          'Country.List'       		=> array(),
          'Country.Create'     		=> array(),
          'Country.Update'     		=> array(),
          'Country.Delete'     		=> array(),
          'Region.SelectList'  		=> array(),
          'Region.SelectListNames'  => array(),
          'Region.List'        		=> array(),
          'Region.Create'      		=> array(),
          'Region.Update'      		=> array(),
          'Region.Delete'      		=> array(),
          'Town.SelectList'    		=> array(),
          'Town.List'          		=> array(),
          'Town.Create'        		=> array(),
          'Town.Update'        		=> array(),
          'Town.Delete'        		=> array()
        )
      )
  );


}
